
July 27, 2013. It was a beautiful summer morning. I was traveling to work as usual and took the highway. There was a great song on the radio so I was singing. As I neared the slight bend in the road revealing the Blue Mountains, where I say a quick prayer every day, out of the corner of my eye I noticed motion at the stop sign. It was the biggest tractor pulling a 'dump' that I have ever seen. The tractor started to cross the highway. I assumed he was heading for this turning lane to straighten his vehicle out as I passed. Unfortunately, that was not what he did.

In a flash he bee-lined it across double yellow lines and attempted to run right through me as if I wasn't there, because he didn't know I was there. From the time I realized he was heading for me, and the time of impact was only a second or so. I had just enough time to say aloud, 'Oh God please save me!' I had nowhere to go (a car to the right of me) so s-c-r-e-e-e-c-h, I hit my brakes and crashed. As I believed the window was going to come at me, I closed my eyes.

Just as I anticipated feeling pain, instead I had an experience. I felt as if I was going down a slide except it was horizontal. My stomach jumped like the feeling you get in a real fast elevator. It felt like a slide because it was sending me toward this void in the darkness of a glowing white light. I think I was only unconscious for 30 seconds or so. Traveling quickly toward the light, I thought it was a crack under a doorway. I remember thinking, 'there's no way I'm going to fit through there'. Think of sitting in a dark room with which the room next to you having the light. This is similar to what I was barreling toward, only it was a long rectangular-shaped box of light in the middle of complete darkness. Just as I was to enter the lighted void, I went under the doorway (so to speak) and into an instant state of euphoria. It was like, 'ah-h-h-h-h, this is nice.' It was as if all my senses were pleased beyond normal: almost a complete all-over orgasmic experience. I do not remember any smell or noise though: just a warm, comfortable, relaxing, euphoric feeling beyond words, which was absent of all pain, worry and ugliness. It was also happy beyond words. Then I woke up.

It has taken me 5 months to begin telling people about this experience. Thanks for reading. Julie
